#include <stdio.h>
#include <ctype.h>

int main() {
    int c, cd = 0, cu = 0, cl = 0;

    while ((c = getchar()) != EOF) {
        if (isdigit(c)) ++cd;
        if (isupper(c)) ++cu;
        if (islower(c)) ++cl;
    }

    printf ("digits: %d\n", cd);
    printf ("uppers: %d\n", cu);
    printf ("lowers: %d\n", cl);

    return 0;
}

